%%NAME
%%  eimg2txt  - converts image to ascii-image 
%%
%%SYNOPSIS
%%  txt=eimg2txt(image,colormap)
%%
%%PARAMETER(S)
%%  txt         string of image 
%%  image       index-matrix 
%%  colormap    color table
%% 
% written by Stefan Mueller stefan.mueller@fgan.de (C) 2004
function txt= eimg2txt (image,colormap)
  if (nargin ~= 2)
    eusage('txt = eimg2txt(image,colormap)');
  end

txtTab='NBW8OUGX0woscvx+!~"-,\'`  '; 
[rows cols]=size(image);
lumen=reshape(colormap(image,1)+colormap(image,2)+colormap(image,3),rows,cols);
lumen=reshape([lumen;lumen],rows,2*cols);
maxL=max(max(lumen));minL=min(min(lumen));
lumen=(lumen-minL)/(maxL-minL+eps);
txt=txtTab(fix(lumen*length(txtTab))+1);
